Get per-wallet deposit totals for a distributor code
curl --request GET \
--url https://api.kamino.finance/kvaults/distributors/{code}/walletsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/distributors/{code}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/distributors/{code}/wallets"
response = requests.get(url)
print(response.text)false{
"result": [
{
"wallet": "AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As",
"tokens": [
{
"tokenMint": "So11111111111111111111111111111111111111112",
"tokenSymbol": "USDC",
"amount": "1234.56789"
}
]
}
],
"paginationToken": "eyJsYXN0SWQiOjgxfQ=="
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "Not authorized for this request. Please include the basic auth headers."
}{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Analytics
Get wallet totals for a distributor code
For each wallet that deposited under this distributor code in the range: the deposits grouped by deposited token, with the total amount per token. Private (authorized) API access only, please add a basic auth header to your request.
GET
/
kvaults
/
distributors
/
{code}
/
wallets
Get per-wallet deposit totals for a distributor code
curl --request GET \
--url https://api.kamino.finance/kvaults/distributors/{code}/walletsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/distributors/{code}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/distributors/{code}/wallets"
response = requests.get(url)
print(response.text)false{
"result": [
{
"wallet": "AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As",
"tokens": [
{
"tokenMint": "So11111111111111111111111111111111111111112",
"tokenSymbol": "USDC",
"amount": "1234.56789"
}
]
}
],
"paginationToken": "eyJsYXN0SWQiOjgxfQ=="
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "Not authorized for this request. Please include the basic auth headers."
}{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Path Parameters
Distributor code, matched case-insensitively
Required string length:
5Example:
"k7m2x"
Query Parameters
Maximum number of wallets to return (1-1000)
Required range:
1 <= x <= 1000Example:
100
Optional pagination token
Example:
"eyJsYXN0SWQiOjgxfQ=="
Date input (ISO 8601 string or epoch in ms)
Example:
"2024-01-01T00:00:00.000Z"
Date input (ISO 8601 string or epoch in ms)
Example:
"2024-01-01T00:00:00.000Z"